## GODocControl

GODocControl

## Functions

GODoc * | go_doc_control_get_doc ()
void | go_doc_control_set_doc ()

## Types and Values

| GODocControl
enum | GODocControlState

## Object Hierarchy

        GObject
        ╰── GODocControl

## Description

## Functions

### go_doc_control_get_doc ()

    GODoc *
    go_doc_control_get_doc (GODocControl *dc);

#### Parameters

dc | GODocControl |

#### Returns

the GODoc associated to `dc` .

[transfer none]

### go_doc_control_set_doc ()

    void
    go_doc_control_set_doc (GODocControl *dc,
                            GODoc *doc);

## Types and Values

### GODocControl

    typedef struct _GODocControl GODocControl;

### enum GODocControlState

#### Members

GO_DOC_CONTROL_STATE_NORMAL | normal. |
GO_DOC_CONTROL_STATE_FULLSCREEN | full screen. |
GO_DOC_CONTROL_STATE_MAX | maximum value, shoulkd not happen. |